opensaml-3.0.1

Public Member Functions | List of all members
opensaml::saml2md::MetadataFilterException Class Reference

Exceptions related to metadata filtering
More...

`#include <saml/saml2/metadata/MetadataFilter.h>`

Inheritance diagram for opensaml::saml2md::MetadataFilterException:
[legend]
Collaboration diagram for opensaml::saml2md::MetadataFilterException:
[legend]

## Public Member Functions
| MetadataFilterException (const char *msg=0, const xmltooling::params &p=xmltooling::params())
| Constructor
| MetadataFilterException (const char *msg, const xmltooling::namedparams &p)
| Constructor
| MetadataFilterException (const std::string &msg, const xmltooling::params &p=xmltooling::params())
| Constructor
| MetadataFilterException (const std::string &msg, const xmltooling::namedparams &p)
| Constructor
virtual const char * | getClassName () const
void | raise () const
Public Member Functions inherited from opensaml::saml2md::MetadataException
| MetadataException (const char *msg=0, const xmltooling::params &p=xmltooling::params())
| Constructor
| MetadataException (const char *msg, const xmltooling::namedparams &p)
| Constructor
| MetadataException (const std::string &msg, const xmltooling::params &p=xmltooling::params())
| Constructor
| MetadataException (const std::string &msg, const xmltooling::namedparams &p)
| Constructor
virtual const char * | getClassName () const
void | raise () const

## Detailed Description

Exceptions related to metadata filtering

## Member Function Documentation

## ◆ getClassName()

virtual const char * opensaml::saml2md::MetadataFilterException::getClassName | ( |  | ) | const
| inline virtual

Reimplemented from opensaml::saml2md::MetadataException.

The documentation for this class was generated from the following file:

- saml/saml2/metadata/MetadataFilter.h